<?php
//
//
//-------------------------------------------------------
//-- HANGMANLite                                       --
//-- PHP game by Giovanni Crisci                       --
//-- http://giovi.supereva.it                          --
//-- Images taken from ASP code written by             --
//-- ASP101 http://www.asp101.com                      --
//-- Requires PEAR installed                           --
//-- http://pear.php.net                               --
//-------------------------------------------------------
//
// hi-scores table
//

//config values

$shword = true; 		//shows the guessed word if true, otherwise set it to false
$maxvalue = 15;			//number of best players shown (total)
$res_per_page = 10;		//number of best players shown (per page)

//DON'T EDIT UNDER THIS LINE

require_once ('config.php');
require_once ('DB.php');

$pagina = file($template);
$totrighe = count($pagina);
$i = 0;
while (rtrim($pagina[$i])!="<!--HANGMAN-->") {
 print $pagina[$i];
 $i++;
}

$dsn = "sqlite:///$dbase";
$db = DB::connect($dsn, true);
if (DB::isError($db))
 die ($db->getMessage());
$res = $db->query('select * from '.$dtable.' where id > 1 and errors < 6 order by errors, time');

echo ("<table width=\"100%\">\n <tr>\n  <td>&nbsp;</td>\n  <td>".BST."</td>\n");
if ($shword) echo ("  <td>".WRD."</td>\n");
echo ("  <td>".TNT."</td>\n  <td>".TME."</td>\n </tr>\n");

// chooses the range from which the words are taken for editing

if (isset($_GET['from'])) $from = min($_GET['from'], $maxvalue);
 else $from = 0;
$to = $from + $res_per_page - 1;
if ($to>($maxvalue)) $to=$maxvalue-1;
$numres = 0;
foreach (range($from, $to) as $rownum) {
 if (!$riga = $res->fetchRow(DB_FETCHMODE_ORDERED, $rownum)) break;
 $numres++;
 echo (" <tr>\n  <td>".($numres+$from)."</td>\n  <td>".$riga[2]."</td>\n");
 if ($shword) echo ("  <td>".$riga[1]."</td>\n");
 echo ("  <td>".$riga[3]."</td>\n  <td>".$riga[4]."</td>\n </tr>\n");
 }
echo ("</table>\n");
$numrighe = $res->numRows($res);

// navigation bar
if (min($numrighe, $maxvalue)>$res_per_page) {
 echo ("<p>\n");
 if ($from>0) {
  print (' <a href="'.$_SERVER['PHP_SELF'].'?from='.max($from - $res_per_page, 0).'">'.LPRV.'</a>');
  echo ("\n");
 }
 if ($to<min($numrighe, $maxvalue-1)) {
  print (' <a href="'.$_SERVER['PHP_SELF'].'?from='.($from + $res_per_page).'">'.LNXT.'</a>');
  echo ("\n");
 }
 echo ("</p>\n");
}
echo ("\n");

$db->disconnect();

echo ("<p>&nbsp;</p>\n");
print ('<p><a href="index.php">'.NWGAME.'</a></p>');
$i++;
while ($i<$totrighe) {
 print $pagina[$i];
 $i++;
}

?>