<?php
//
//
//-------------------------------------------------------
//-- HANGMANLite                                       --
//-- PHP game by Giovanni Crisci                       --
//-- http://giovi.supereva.it                          --
//-- Images taken from ASP code written by             --
//-- ASP101 http://www.asp101.com                      --
//-- Requires PEAR installed                           --
//-- http://pear.php.net                               --
//-------------------------------------------------------
//
// installation tool
//

// creates the configuration file parsing the old one

function CreaConfig ($dbase, $dtabl, $dtmpl, $shsol, $hglan) {
 $conffile = file ('config.php');
 $totrighe = count($conffile);
 $i = 0;
 $config_data = '';
 while (rtrim($conffile[$i])!='') {
  $config_data.= rtrim($conffile[$i])."\n";
  $i++;
 }
 $config_data.= "\n";
 $config_data.= '$dbase    = \''.$dbase.'\';          // database name'."\n";
 $config_data.= '$dtable   = \''.$dtabl.'\';          // database table'."\n";
 $config_data.= '$template = \''.$dtmpl.'\';          // template file name'."\n";
 $config_data.= '$showsol  = '.$shsol.';          // true if you want to show the solution after someone hangs himself'."\n";
 $config_data.= '$langgc   = \''.$hglan.'\';          // choose language'."\n";
 $i++;
 while (rtrim($conffile[$i])!='') $i++;
 for ($i; $i<$totrighe; $i++) $config_data.= rtrim($conffile[$i])."\n";
 return $config_data;
}

// shows the first part of the included template

if (@($_POST['go']!='Download configuration file')) {
 ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xml:lang="en">
<head>
<meta http-equiv="Content-Language" content="en" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

<title>HangmanLite Installation</title>

<style type="text/css">
body {
     color: #000000;
     font-family: Verdana, Arial, Helvetica, sans-serif;
     font-size: 12px;
     background-color: #FFFFFF;
     }
table {
      color: #000000;
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 12px;
      background-color: #FFFFFF;
      }
button {
       color: #000000;
       font-family: Verdana, Arial, Helvetica, sans-serif;
       font-size: 12px;
       background-color: #FFFFFF;
       }
select {
       color: #000000;
       font-family: Verdana, Arial, Helvetica, sans-serif;
       font-size: 12px;
       background-color: #FFFFFF;
       }
a {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 12px;
  color: #0000FF;
  text-decoration: none;
  background-color: #FFFFFF;
  }
a:hover {
        text-decoration: underline;
        }
a:link {
       text-decoration: none;
       }
a:visited {
          color: #FF0000;
          background-color: #FFFFFF;
          }
.head2 {
       font-family: Arial, Helvetica, sans-serif;
       font-size: 28px;
       font-weight: bold;
       color: silver;
       background-color: #FFFFFF;
       }
.head3 {
       font: italic normal 22px/24pt "Times New Roman", Times, serif;
       color: black;
       background-color: #FFFFFF;
       }
.crediti {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #000000;
	background-color: #CCCCCC;
}
</style>
</head>
<script type="text/javascript">
function checkPath(){
	if(document.install.sqlpath.value){
		document.install.sqlbase.value = document.install.sqlpath.value;
		document.install.sqlpath.value = '';
	}
}
</script>
<body>
<h1><span class="head2">HangmanLite</span><br />
<span class="head3">installation</span></h1>

 <?php
}

// first part of the installation
// are you ready?

if (!isset($_POST['go'])) {
 ?>
<p>The installation of the Hangman game is now as easy as ABC.<br />
I'll check if everything is ready and I'll ask you what I need to install
the game. Just press Start when ready.</p>
<form method="post" action="<?=$_SERVER['PHP_SELF']; ?>">
 <input type="submit" value="Start installation" name="go" />
</form>
 <?php
}

else {

// second part of installation

 if ($_POST['go']=='Start installation') {
  
// checks if PEAR extensions are installed

  $check = true;
  print ('<p>Check if SQLite extension is installed...');
  if (extension_loaded('sqlite'))
   echo ("OK (version ".sqlite_libversion().")</p>\n");
  else {
   ?>
ERROR</p>
<p>SQLite extension isn't installed. In PHP 5, the SQLite extension and the engine itself are bundled and compilled by default.<br />
You can also install it in an older PHP version following the instructions at
<a href="http://www.php.net/manual/en/ref.sqlite.php">http://www.php.net/manual/en/ref.sqlite.php</a></p>
<p>Afterwards, restart the hangman installation.</p>
   <?php
   $check = false;
  }
  if ($check) {
   print ('<p>Check if PEAR extensions are installed...');
   if (@include('DB.php'))
    echo ("OK</p>\n");
   else {
    ?>
ERROR</p>
<p>PEAR extensions aren't installed.<br />
Follow instructions for installation at
<a href="http://pear.php.net/manual/en/installation.php">http://pear.php.net/manual/en/installation.php</a><br />
or, if you find it too difficult, download
<a href="http://www.bancone.it/hangman/download.php?id=3">pear_db.zip</a><br />
and unzip it into your hangman directory.</p>
<p>Afterwards, restart the hangman installation.</p>
    <?php
    $check = false;
   }
  }
  if ($check) {

// asks all the informations needed for installation
   
   if (isset($_SERVER['ORIG_PATH_TRANSLATED'])) $actualdir = dirname($_SERVER['ORIG_PATH_TRANSLATED']);
	else $actualdir = dirname($_SERVER['PATH_INFO']);
   ?>
<form method="post" name="install" action="<?=$_SERVER['PHP_SELF']; ?>" onSubmit="checkPath();">
 <table>
  <tr>
   <td>Insert name of your SQLite file:<br />
   <i>(write it directly here if you know where it is or you want to create a new<br/>
   database file. As a hint I wrote the actual directory name inside the form)</i></td>
   <td><input type="text" name="sqlbase" value="<?=$actualdir ?>" size="50"/></td>
  </tr>
  <tr>
   <td><i>(use this form if you are installing it on your own computer)</i></td>
  <td><input type="file" name="sqlpath" size="40" /></td>
  </tr>
  <tr>
   <td>SQLite table name:<br />
   <i>(if the table exists, I'll empty it)</i></td>
   <td><input type="text" name="sqltable" size="15" /></td>
  </tr>
  <tr>
   <td>Hangman administrator name:</td>
   <td><input type="text" name="hangadm" size="15" maxlength="15" /></td>
  </tr>
  <tr>
   <td>Hangman administrator password:</td>
   <td><input type="password" name="hangpwd" size="15" maxlength="15" /></td>
  </tr>
  <tr>
   <td>Retype Hangman password:</td>
   <td><input type="password" name="hangpwd2" size="15" maxlength="15" /></td>
  </tr>
  <tr>
   <td>Hangman language:</td>
   <td>
    <select name="hanglang">
          <option value="en" selected>English</option>
          <option value="fr">French</option>
          <option value="de">German</option>
		  <option value="es">Spanish</option>
          <option value="it">Italian</option>
          <option value="et">Estonian</option>
		  <option value="dk">Danish</option>
		  <option value="nl">Dutch</option>
		  <option value="lu">Luxembourgish</option>
		  <option value="nw">Norwegian</option>
		  <option value="pl">Polish</option>
		  <option value="sv">Swedish</option>
		  <option value="pt">Portoguese</option>
		  <option value="fi">Finnish</option>
        </select>
   </td>
  </tr>
  <tr>
   <td colspan="2"><i>Do you want to translate Hangman into another language?<br />
   It' easy! Just follow the instructions you find in the readme.txt file.</i></td>
  </tr>
  <tr>
   <td>Do you want to show the word after someone hangs himself?</td>
   <td>
    <input type="radio" name="showsol" value="true" checked />Yes
    <input type="radio" name="showsol" value="false" />No
    </select>
   </td>
  </tr>
  <tr>
   <td>&nbsp;</td>
   <td><input type="submit" value="Set up Hangman" name="go" /></td>
  </tr>
 </table>
</form>
   <?php
  }
 }

// third part of installation

 if ($_POST['go']=='Set up Hangman') {

// checks if MySQL informations are correct

  print ('<p>Check access to SQLite database file...');
  require_once ('DB.php');
  $dbase = $_POST['sqlbase'];
  $dtable = $_POST['sqltable'];
  $dsn = "sqlite:///$dbase";
  $db = DB::connect($dsn, true);
  if (DB::isError($db)) {
   ?>
ERROR</p>
<p>PHP must have write permissions to SQLite database file or to the directory where hangman is installed.<br />
You can use chmod to change permissions through terminal or FTP client.<br />
Read <a href="http://www.sqlite.org">SQLite</a> documentation for more details.</p>
<form method="post" action="<?=$_SERVER['PHP_SELF']; ?>">
 <input type="submit" value="Start installation" name="go" />
</form>
   <?php
  }
  else {
   echo ("OK</p>\n");

// create the table for the hangman game

   print ('<p>Creating the table...');
   $result = $db->query("select * from ".$dtable);
   if (!DB::isError($result)) {
    $result = $db->query("drop table ".$dtable);
   }
   $creatable = "CREATE TABLE ".$dtable.
    " ( id INTEGER NOT NULL PRIMARY KEY, word VARCHAR(32) NOT NULL,".
    " best VARCHAR(15), errors TINYINT(3), time INT(11) );";
   $result = $db->query($creatable);
   if (DB::isError($result)) {
    $db->disconnect();
    ?>
ERROR</p>
<p>PHP must have write permissions to SQLite database file.<br />
Read <a href="http://www.sqlite.org">SQLite</a> documentation for more details.</p>
<form method="post" action="<?=$_SERVER['PHP_SELF']; ?>">
 <input type="submit" value="Start installation" name="go" />
</form>
    <?php
   }
   else {
    echo ("OK</p>\n");

// insert admin and password information into hangman table if correct

    print ('<p>Creating Hangman administrator user...');
    $finalcheck = true;
    if ($_POST['hangadm']=='') {
     $errmess = "Administrator name not defined";
     $finalcheck = false;
    }
    if ($_POST['hangpwd']=='' or $_POST['hangpwd']!=$_POST['hangpwd2']) {
     $errmess = "Passwords don't match";
     $finalcheck = false;
    }
    if ($finalcheck) {
     $hangadm = $_POST['hangadm'];
     $hangpwd = md5($_POST['hangpwd']);
     $result = $db->query('INSERT INTO '.$dtable.' VALUES (1, \''.
      $hangpwd.'\', \''.$hangadm.'\', 6, 0)');
     if (DB::isError($result)) {
      $errmess = $result->getMessage();
      $finalcheck = false;
     }
     $db->disconnect();
    }
    if (!$finalcheck) {
     echo ("ERROR<br />\n".$errmess."</p>\n");
     ?>
<form method="post" action="<?=$_SERVER['PHP_SELF']; ?>">
 <input type="submit" value="Start installation" name="go" />
</form>
     <?php
    }
    else {
     echo ("OK</p>\n");
     $shsol = 'true';

// creates the configuration file

     print ('<p>Creating configuration file...');
     $config_data = CreaConfig ($dbase, $dtable, 'base.html', $_POST['showsol'], $_POST['hanglang']);
     echo ("OK</p>\n");

// tries to write the configuration file directly

     print ('<p>Check if I can directly write config.php...');
     $writectrl = false;
	 @chmod('config.php', 0777);
     if (is_writable('config.php')) {
      echo ("OK</p>\n");
      print ('Writing configuration file...');
      $fp = @fopen('config.php', 'w');
      $writectrl = @fputs($fp, $config_data, strlen($config_data));
      @fclose($fp);
      if ($writectrl) {

// installation is completed! shows the final informations

       echo ("OK</p>\n");
       echo ("<p><b>Installation complete!</b></p>\n");
       echo ("<p>Go to the <a href=\"admin.php\">admin page</a> and enter your first words,<br />\n");
       echo ("then the Hangman game is ready to be played.</p>\n");
       echo ("<p>Don't forget to create your HTML template like the included base.html file.<br />\n");
       echo ("Simply create your page, enter the line !--HANGMAN-- between acute brackets<br />\n");
       echo ("and two blank lines and name it <i>base.html</i>.</p>\n");
       echo ("<p><b>Don't forget to delete this file (<i>install.php</i>)!</b></p>\n");
      }
     }
     if (!$writectrl) {

// it cannot write the configuration file so it must be downloaded

      ?>
NOT</p>
<p>The configuration file isn't writable,<br />
so you'll have to download it<br />
and then save it to your hangman directory<br />
deleting the old version of the configuration file.</p>
<form method="post" action="<?=$_SERVER['PHP_SELF']; ?>">
 <input type="hidden" name="config_data" value="<?=htmlspecialchars($config_data); ?>" />
 <input type="submit" value="Download configuration file" name="go" />
</form>
<p>After saving the configuration file,<br />
go to the <a href="admin.php">admin page</a> and enter your first words,<br />
then the Hangman game is ready to be played.</p>
<p>Don't forget to create your HTML template like the included base.html file.<br />
Simply create your page, enter the line !--HANGMAN-- between acute brackets<br />
and two blank lines and name it <i>base.html</i>.</p>
<p><b>Don't forget to delete this file (<i>install.php</i>)!</b></p>
      <?php
     }
    }
   }
  }
 }

// lets the configuration file be downloaded

 if ($_POST['go']=='Download configuration file') {
  header("Content-Type: text/x-delimtext; name=\"config.php\"");
  header("Content-disposition: attachment; filename=config.php");
  $config_data = stripslashes($_POST['config_data']);
  echo $config_data;
 }

}

// shows the final part of the included template file

if (@($_POST['go']!='Download configuration file')) {
 ?>
<p>For any question about Hangman, contact <a href="http://giovi.supereva.it">Giovanni Crisci</a></p>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
  <tr> 
    <td class="crediti">&copy;2004 <a href="http://www.bancone.it">www.bancone.it</a></td>
    <td class="crediti" align="right">design by <a href="mailto:giovanni@infinito.it">Giovanni Crisci</a></td>
  </tr>
</table>
</body>
</html>
 <?php
}
?>
